@import "../base/variable.scss";
@import "../base/mixins.scss";

.datepicker{
	z-index: 999999 !important;
	&:before{
		display: none;
	}
	&:after{
		display: none;
	}
	table{
		tr{
			th{
				border-bottom: 2px solid #ddd;
				border-radius: 0;
				height: 35px;
				width: 35px;
				font-size: 14px;
				text-align: center;
			}
			td{
				border-top: 1px solid #ddd;
				border-radius: 0;
				height: 35px;
				width: 35px;
				font-size: 14px;
				&.day{
					&:hover{
						background-color: $primary_color;
						color: $white;
					}
					&.focused{
						background-color: $primary_color;
						color: $white;
					}
				}
				&.today{
					background-image: none;
					background-color: $primary_color;
					color: $white;
					text-align: center;
					&:hover{
						background-image: none;
						background-color: $primary_color;
						color: $white;
						&:hover{
							background-image: none;
							background-color: $primary_color;
							color: $white;
						}
					}
					&.disabled{
						background-image: none;
						background-color: $primary_color;
						color: $white;
						&:hover{
							background-image: none;
							background-color: $primary_color;
							color: $white;
						}
					}
				}
			}
		}
	}
}

.datepicker-days{
	.table-condensed{
		tbody{
			tr{
				td{
					text-align: center;
					&.active{
						background-image: none;
						background-color: $black;
						color: $white;
					}
					&.disabled{
						&:hover{
							background-color: transparent;
							color: #999;
							cursor: no-drop;
						}
					}
				}
			}
		}
	}
}
/*
.ui-datepicker{
	z-index: 99999999 !important;
	background-color: $white;
	border-radius: 20px 20px;
	padding: 5px;
	.ui-datepicker-header{
		@include clearfix();
		height: 35px;
		.ui-datepicker-prev{
			float: left;
			height: 35px;
			line-height: 35px;
			cursor: pointer;
		}
		.ui-datepicker-next{
			float: right;
			height: 35px;
			line-height: 35px;
			cursor: pointer;
		}
		.ui-datepicker-title{
			text-align: center;
			height: 35px;
			line-height: 35px;
		}
	}
	table{
		width: 100%;
		tr{
			th{
				border-bottom: 0px solid #ddd;
				border-radius: 0;
				height: 40px;
				width: 40px;
				font-size: 14px;
				font-weight: 500;
				text-align: center;
			}
			td{
				border-top: 0px solid #ddd;
				border-radius: 0;
				height: 40px;
				width: 40px;
				font-size: 14px;
				font-weight: 500;
				text-align: center;
				border-radius: 50%;
				&:hover{
					background-image: none;
					background-color: rgba(46, 209, 154, 1);
					color: $black;
				}

				&.ui-datepicker-today{
					background-image: none;
					background-color: rgba(46, 209, 154, 0.55);
					color: $black;
					&:hover{
						background-image: none;
						background-color: rgba(46, 209, 154, 0.55);
						color: $black;
					}
				}

				&.selectDay{
					&:hover{
						background-color: rgba(46, 209, 154, 0.55);
						color: $black;
					}
					&.focused{
						background-color: rgba(46, 209, 154, 0.55);
						color: $black;
					}
				}
				&.ui-datepicker-current-day{
					background-image: none;
					background-color: rgba(46, 209, 154, 0.55);
					color: $black;
					&:hover{
						background-image: none;
						background-color: rgba(46, 209, 154, 0.55);
						color: $black;
					}
				}
			}
		}
	}
}

.ui-datepicker-days{
	.table-condensed{
		tbody{
			tr{
				td{
					&.ui-datepicker-current-day{
						background-image: none;
						background-color: rgba(46, 209, 154, 0.55);
						color: $black;
					}
					&.disabled{
						&:hover{
							background-color: rgba(46, 209, 154, 0.55);
							color: $black;
							cursor: no-drop;
						}
					}
				}
			}
		}
	}
}

.ui-datepicker table tr td.ui-datepicker-current-day:hover, .ui-datepicker table tr td.ui-datepicker-current-day:hover:hover, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover:hover, .ui-datepicker table tr td.ui-datepicker-current-day:active, .ui-datepicker table tr td.ui-datepicker-current-day:hover:active, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:active, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover:active, .ui-datepicker table tr td.ui-datepicker-current-day.ui-datepicker-current-day, .ui-datepicker table tr td.ui-datepicker-current-day:hover.ui-datepicker-current-day, .ui-datepicker table tr td.ui-datepicker-current-day.disabled.ui-datepicker-current-day, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover.ui-datepicker-current-day, .ui-datepicker table tr td.ui-datepicker-current-day.disabled, .ui-datepicker table tr td.ui-datepicker-current-day:hover.disabled, .ui-datepicker table tr td.ui-datepicker-current-day.disabled.disabled, .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover.disabled, .ui-datepicker table tr td.ui-datepicker-current-day[disabled], .ui-datepicker table tr td.ui-datepicker-current-day:hover[disabled], .ui-datepicker table tr td.ui-datepicker-current-day.disabled[disabled], .ui-datepicker table tr td.ui-datepicker-current-day.disabled:hover[disabled]
{
	background-color: rgba(46, 209, 154, 0.55);
	color: $black;
}
.ui-datepicker{
	box-shadow: 0px 0px 2px rgba(0, 0, 0, 0.25);
	border-radius: 20px 20px;
	overflow: hidden;
	.ui-datepicker-days{
		border: 0;
		table{
			border: 0;
			tr{
				border: 0;
				th{
					height: 40px;
					width: 40px;
					border: 0;
				}
				td{
					height: 40px;
					width: 40px;
					border: 0;
				}
			}
			tbody{
				tr{
					td{
						border-radius: 50%;
					}
				}
			}
		}
	}
}
*/